# FoundationClasses
TKernel
Resource

# Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString Class Reference

`#include <Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString.hxx>`

Inheritance diagram for Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString:

[legend]

## Public Member Functions

| Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString (const TCollection_AsciiString &K, const TCollection_AsciiString &I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
TCollection_AsciiString & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TCollection_AsciiString | myKey
TCollection_AsciiString | myValue

## Constructor & Destructor Documentation

Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString | ( | const TCollection_AsciiString & | K,
|  | const TCollection_AsciiString & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

TCollection_AsciiString& Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::Key | ( |  | ) | const

TCollection_AsciiString& Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::Value | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::myKey `[private]`

TCollection_AsciiString Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString::myValue `[private]`

The documentation for this class was generated from the following file:

- Resource_DataMapNodeOfDataMapOfAsciiStringAsciiString.hxx